---
search:
  tags:
    - Content
    - POST
seo:
  description: >-
    Create a page. Reference for the POST /shops/{shop_id}/pages endpoint in the
    Bolder API v2.
sidebar:
  label: Create a page
  badge: POST
title: Create a page
type: openapi-operation
---
`POST /shops/{shop_id}/pages`

**Request body** (`application/json`, required)

- `title` (string, required)
- `body` (string)
- `slug` (string)
- `description` (string)
- `visible` (boolean)
- `format` (string) — \`markdown\` is accepted as input and converted to \`html\` before saving; the stored format will be \`html\`.

Request body example:

```json
{
  "title": "About Us",
  "body": "<p>We are a small shop.</p>"
}
```

**Responses**

- `201` — Page created
- `422` — Validation error

Response example, 201:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "slug": "string",
  "body": "string",
  "description": "string",
  "visible": true,
  "format": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
